Method: organizations.apimServiceExtensions.list

Lists all APIM service extensions in an organization.

HTTP request

GET https://apigee.googleapis.com/v1/{parent=organizations/*}/apimServiceExtensions

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Name of the organization for which to list the service extension. Use the following structure in your request: organizations/{org}/apimServiceExtensions

Authorization requires the following IAM permission on the specified resource parent:

  • apigee.apimServiceExtensions.list

Query parameters

Parameters
pageSize

integer

Optional. Maximum number of items to return. If unspecified, at most 25 service extension will be returned.

pageToken

string

Optional. Page token, returned from a previous apimServiceExtensions.list call, that you can use to retrieve the next page.

Request body

The request body must be empty.

Response body

Response for list service extensions.

If successful, the response body contains data with the following structure:

JSON representation
{
  "apimServiceExtensions": [
    {
      object (ApimServiceExtension)
    }
  ],
  "nextPageToken": string
}
Fields
apimServiceExtensions[]

object (ApimServiceExtension)

service extension in a given organization.

nextPageToken

string

Page token that you can include in an apimServiceExtensions.list request to retrieve the next page. If omitted, no subsequent pages exist.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform